## ros-melodic-rviz 1.13.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rviz)

if (POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif()
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Define global caktin_lint suppressions
#catkin_lint: ignore uninstalled_script missing_install_target

find_package(Boost REQUIRED
  COMPONENTS
  filesystem
  program_options
  system
  thread
)

find_package(urdfdom_headers REQUIRED)

find_package(PkgConfig REQUIRED)

find_package(ASSIMP QUIET)
if (NOT ASSIMP_FOUND)
  pkg_check_modules(ASSIMP assimp)
endif()
if (ASSIMP_FOUND)
  if( NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.1150" )
    add_definitions(-DASSIMP_UNIFIED_HEADER_NAMES)
    message(STATUS "Assimp version has unified headers")
  else()
    message(STATUS "Assimp version does not have unified headers")
  endif()
  include_directories(${ASSIMP_INCLUDE_DIRS})
  #catkin_lint: ignore_once link_directory
  link_directories(${ASSIMP_LIBRARY_DIRS})
else()
  message(STATUS "could not find assimp (perhaps available thorugh ROS package?), so assimping assimp v2")
  set(ASSIMP_LIBRARIES assimp)
  set(ASSIMP_LIBRARY_DIRS)
  set(ASSIMP_CXX_FLAGS)
  set(ASSIMP_CFLAGS_OTHER)
  set(ASSIMP_LINK_FLAGS)
  set(ASSIMP_INCLUDE_DIRS)
endif()

pkg_check_modules(OGRE_OV OGRE OGRE-Overlay)

# Old versions of OGRE (pre 1.9) included OGRE-Overlay in the main package
# (i.e. there was no OGRE-Overlay component).  So if the above
# pkg_check_modules() failed, try looking for just OGRE.
if(NOT OGRE_OV_FOUND)
  pkg_check_modules(OGRE_OV REQUIRED OGRE)
endif(NOT OGRE_OV_FOUND)

## Find OGRE Plugin path (not necessarily platform-independent, I guess)
if(NOT DEFINED OGRE_PLUGIN_PATH)
  execute_process(COMMAND
    ${PKG_CONFIG_EXECUTABLE} --variable=plugindir OGRE
    OUTPUT_VARIABLE OGRE_PLUGIN_PATH
    OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif(NOT DEFINED OGRE_PLUGIN_PATH)
message(STATUS OGRE_PLUGIN_PATH=${OGRE_PLUGIN_PATH})

# find absolute path of ogre libraries.
# This is stored in the cache to save time on cmake re-run.
# Using absolute paths is necessary if pkg-config finds Ogre in a different
# location than the default.  This can happen when Ogre is built from source,
# or when 2 versions of Ogre are installed.  Using absolute paths ensures that
# components that link against Ogre (rviz and any packages depending on rviz)
# all find the same Ogre shared library.
if(NOT DEFINED OGRE_OV_LIBRARIES_ABS)
  unset(OGRE_OV_LIBRARIES_ABS_TMP)
  foreach(_lib ${OGRE_OV_LIBRARIES})
    set(OGRE_OV_LIB_TAG "OGRE_OV_RVIZ_LIB_${_lib}")

    find_library(${OGRE_OV_LIB_TAG}
            NAMES ${_lib}
            HINTS ${OGRE_OV_LIBRARY_DIRS}
            PATHS ${OGRE_OV_LIBRARY_DIRS}
    )

    set(OGRE_OV_LIBRARIES_ABS_TMP ${OGRE_OV_LIBRARIES_ABS_TMP} ${${OGRE_OV_LIB_TAG}})
  endforeach(_lib)

  set(OGRE_OV_LIBRARIES_ABS ${OGRE_OV_LIBRARIES_ABS_TMP}
        CACHE FILEPATH "Pathname of library ${_lib}")
endif(NOT DEFINED OGRE_OV_LIBRARIES_ABS)

if(APPLE)
  FIND_LIBRARY(Cocoa_LIBRARIES Cocoa)
  set(rviz_ADDITIONAL_LIBRARIES ${Cocoa_LIBRARIES})

  # This definition prevents an Apple header from defining a macro called "check", which if
  # present, collides with another function in the rviz code. See:
  # https://opensource.apple.com/source/CarbonHeaders/CarbonHeaders-18.1/AssertMacros.h
  add_definitions(-D__ASSERT_MACROS_DEFINE_VERSIONS_WITHOUT_UNDERSCORES=0)
endif()

find_package(OpenGL REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

option(UseQt5 "UseQt5" ON)
if (UseQt5)
  find_package(Qt5 REQUIRED COMPONENTS Core Widgets OpenGL)
  # set variable names already used with Qt4
  set(QT_LIBRARIES Qt5::Widgets)
  set(QTVERSION ${Qt5Widgets_VERSION})
else()
  find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui QtOpenGL)
  include(${QT_USE_FILE})
endif()
add_definitions(-DQT_NO_KEYWORDS)

find_package(catkin REQUIRED
  COMPONENTS
  cmake_modules
  geometry_msgs
  image_transport
  interactive_markers
  laser_geometry
  map_msgs
  message_filters
  message_generation
  nav_msgs
  pluginlib
  python_qt_binding
  resource_retriever
  rosbag
  rosconsole
  roscpp
  roslib
  rospy
  sensor_msgs
  std_msgs
  std_srvs
  tf
  urdf
  visualization_msgs
)

find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  #catkin_lint: ignore_once deprecated_cmake_module
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})  # Not strictly necessary as Eigen is head only
  # Possibly map additional variables to the EIGEN3_ prefix.
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

find_package(TinyXML2 REQUIRED)

catkin_python_setup()

if(NOT OGRE_OV_LIBRARIES_ABS)
  set(OGRE_OV_LIBRARIES_ABS ${OGRE_OV_LIBRARIES})
endif()

# Set the Qt version for use in the extras file.
set(rviz_QT_VERSION ${QTVERSION})

# This variable controls the target name of the default plugin library.
# It is used in the extras file (processed in caktin_package(...)) and the
# cmake code for the default plugin.
# There is a matching instance of this in the plugin_description.xml.
set(rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME rviz_default_plugin)

add_service_files(
  FILES
  SendFilePath.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

set(EXPORT_HEADER_DIR "${CATKIN_DEVEL_PREFIX}/include")
file(MAKE_DIRECTORY "${EXPORT_HEADER_DIR}")

#catkin_lint: ignore_once external_include_path
catkin_package(
  CFG_EXTRAS
    rviz-extras.cmake
  INCLUDE_DIRS
    src
    ${EXPORT_HEADER_DIR}
    ${EIGEN3_INCLUDE_DIRS}
    ${OGRE_OV_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIR}
  LIBRARIES
    rviz
    ${OGRE_OV_LIBRARIES_ABS}
    ${rviz_ADDITIONAL_LIBRARIES}
    ${OPENGL_LIBRARIES}
  CATKIN_DEPENDS
    geometry_msgs
    image_transport
    interactive_markers
    laser_geometry
    map_msgs
    message_filters
    message_runtime
    nav_msgs
    pluginlib
    resource_retriever
    roscpp
    roslib
    sensor_msgs
    std_msgs
    std_srvs
    tf
    urdf
    visualization_msgs
)

include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
  ${OGRE_OV_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${PYTHON_INCLUDE_PATH}
  ${TinyXML2_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
)
#catkin_lint: ignore_once external_directory
include_directories(src ${EXPORT_HEADER_DIR})
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

#### If gtk ends up being the best way to get the correct window
#### position under X11, this is how to compile it in.
#
# find_package(GTK2)
# include_directories(${GTK2_INCLUDE_DIRS})
# include_directories(/usr/include/gdk-pixbuf-2.0)

add_subdirectory(src)

install(DIRECTORY ogre_media
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES default.rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES help/help.html
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/help
)
#catkin_lint: ignore uninstalled_target

=== debian/changelog ===
ros-melodic-rviz (1.13.15-1stretch) stretch; urgency=high

  * [fix] Enforce GLSL 1.4 on Mesa systems (#1559 <https://github.com/ros-visualization/rviz/issues/1559>)
  * [fix] Fix layout of editors in PropertyWidget (#1558 <https://github.com/ros-visualization/rviz/issues/1558>)
  * Contributors: Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Sun, 15 Nov 2020 23:00:00 -0000

ros-melodic-rviz (1.13.14-1stretch) stretch; urgency=high

  * [fix]   SplitterHandle: Consider scrollbar width. Fixes #1545 <https://github.com/ros-visualization/rviz/issues/1545>.
  * [fix]   Handle InvalidNameException when loading robot description
  * [fix]   WrenchVisual: Add missing initialization of ``hide_small_values_``
  * [fix]   Fixup #1519 <https://github.com/ros-visualization/rviz/issues/1519>: Correctly (and efficiently) handle 3-byte pixel formats
  * [maint] Adapt to clang-format-10
  * Contributors: Robert Haschke, Wolf Vollprecht

 -- William Woodall <william@osrfoundation.org>  Sat, 17 Oct 2020 22:00:00 -0000

ros-melodic-rviz (1.13.13-1stretch) stretch; urgency=high

  * [feature] Make the goal pose tool magenta (#1520 <https://github.com/ros-visualization/rviz/issues/1520>)
  * [bugfix]  Fix memory access in case of 3-byte pixel formats (#1519 <https://github.com/ros-visualization/rviz/issues/1519>)
  * [bugfix]  PropertyTree: set custom SelectionModel only with valid model (#1504 <https://github.com/ros-visualization/rviz/issues/1504>)
  * Contributors: Ivor Wanders, Michael Görner, Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 22:00:00 -0000

ros-melodic-rviz (1.13.12-1stretch) stretch; urgency=high

  * [maint] clang-format (#1502 <https://github.com/ros-visualization/rviz/issues/1502>)
  * [maint] Modernize python tests + examples
  * [maint] Fix clang compiler warnings
  * [maint] clang-tidy
  * [maint] Require C++11
  * Contributors: Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-rviz (1.13.11-1stretch) stretch; urgency=high

  * [feature] Provide load_config and save_config ROS services
  * [maint]   clang-tidy fixes (#1494 <https://github.com/ros-visualization/rviz/issues/1494>)
  * Contributors: Robert B Anderson, Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Sun, 26 Apr 2020 22:00:00 -0000

ros-melodic-rviz (1.13.9-1stretch) stretch; urgency=high

  * Fixup  Sphere being off center (#1487 <https://github.com/ros-visualization/rviz/issues/1487>)
  * Revert "Switch libogre-dev to build_depend (#1482 <https://github.com/ros-visualization/rviz/issues/1482>)"
  * Configure yaml-cpp include directory (#1483 <https://github.com/ros-visualization/rviz/issues/1483>)
  * Contributors: Peter Lehner, Robert Haschke, Wolfgang Merkt

 -- William Woodall <william@osrfoundation.org>  Mon, 30 Mar 2020 22:00:00 -0000

ros-melodic-rviz (1.13.8-1stretch) stretch; urgency=high

  * [feature]     Forward focus in PropertyTree to value field (#1480 <https://github.com/ros-visualization/rviz/issues/1480>)
  * [feature]     Smooth meshes for sphere, cylinder, and cone (#1463 <https://github.com/ros-visualization/rviz/issues/1463>)
  * [fix]         Handle invalid floats in points of arrow marker (#1471 <https://github.com/ros-visualization/rviz/issues/1471>)
  * [fix]         Catch exceptions when creating publishers in tools (#1467 <https://github.com/ros-visualization/rviz/issues/1467>)
  * [maintanence] Modernize setup.py and cmake  (#1481 <https://github.com/ros-visualization/rviz/issues/1481>)
  * [maintanence] Switch libogre-dev to build_depend (#1482 <https://github.com/ros-visualization/rviz/issues/1482>)
  * Contributors: Alejandro Hernández Cordero, Michael Görner, Robert Haschke, Simon Schmeisser, Wolfgang Merkt

 -- William Woodall <william@osrfoundation.org>  Sat, 28 Mar 2020 23:00:00 -0000

ros-melodic-rviz (1.13.7-1stretch) stretch; urgency=high

  * [fix] Fix segfault when removing displays on presence of DisplayGroupVisibilityProperty
  * [fix] CameraDisplay: don't call getCameraInfoTopic() for empty topic
  * [fix] MarkerDisplay: clear old markers on topic change (#1455 <https://github.com/ros-visualization/rviz/issues/1455>)
  * [maintanence] Fix various warnings
  * [maintanence] Support python3 for python bindings (#1454 <https://github.com/ros-visualization/rviz/issues/1454>)
  * Contributors: Mike Purvis, Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Tue, 17 Dec 2019 23:00:00 -0000

ros-melodic-rviz (1.13.6-1stretch) stretch; urgency=high

  * [fix] Memory leak in rviz::Robot
  * [fix] assimp importer: repair invalid normals (#1452 <https://github.com/ros-visualization/rviz/issues/1452>)
  * [fix] Fixup cmake file issues
    * Remove redundant include_directories()
    * Generate export headers in devel space
    * Use cmake find_package(yaml-cpp) (#1445 <https://github.com/ros-visualization/rviz/issues/1445>)
  * [fix] Gracefully ignore invalid floats (nans) in:
    * LineStripMarker (#1440 <https://github.com/ros-visualization/rviz/issues/1440>)
    * EffortDisplay (#1437 <https://github.com/ros-visualization/rviz/issues/1437>)
  * [fix] MovableText: correctly rotate AABB
  * [fix] Correctly delete old marker if its type changed
  * [maintanence] MovableText:
    * Simplify scaling (there was a scaling by factor 0.5 in getWorldTransforms(), requiring a scaling of 2.0 in _setupGeometry())
    * Simplify _setupGeometry()
  * [maintanence] ignore catkin_lint errors/warnings
  * [maintanence] Properties: inform model about changed data
  * Contributors: Antoine Hoarau, Michael Görner, Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Sun, 24 Nov 2019 23:00:00 -0000

ros-melodic-rviz (1.13.5-1stretch) stretch; urgency=high

  * [fix] ImageDisplay/CameraDisplay: fix status reporting / report frame issues (#1425 <https://github.com/ros-visualization/rviz/issues/1425>)


=== debian/control ===
Source: ros-melodic-rviz
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libqt5opengl5-dev, libtinyxml2-dev, liburdfdom-dev, liburdfdom-headers-dev, libyaml-cpp-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-interactive-markers, ros-melodic-laser-geometry, ros-melodic-map-msgs, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-python-qt-binding, ros-melodic-resource-retriever, ros-melodic-rosbag, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rviz
Standards-Version: 3.9.2

Package: ros-melodic-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, libtinyxml2-dev, libyaml-cpp-dev, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-interactive-markers, ros-melodic-laser-geometry, ros-melodic-map-msgs, ros-melodic-media-export, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-python-qt-binding, ros-melodic-resource-retriever, ros-melodic-rosbag, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf, ros-melodic-visualization-msgs
Description: 3D visualization tool for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rviz//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rviz 1.13.30

=== CMakeLists.txt ===
--- 
+++ 
@@ -136,7 +136,6 @@
   pluginlib
   python_qt_binding
   resource_retriever
-  rosbag
   rosconsole
   roscpp
   roslib

=== src/rviz/CMakeLists.txt ===
find_package(yaml-cpp REQUIRED)

include_directories(${YAML_CPP_INCLUDE_DIR})

if(UNIX AND NOT APPLE)
  find_package(X11 REQUIRED)
endif()

add_subdirectory(default_plugin)

# Build the version number and other build-time constants into the
# source for access at run-time.
set(ENV_CONFIG_FILE ${CMAKE_CURRENT_BINARY_DIR}/env_config.cpp)
set(RVIZ_VERSION ${rviz_VERSION})
message(STATUS "making version ${RVIZ_VERSION}.")
#catkin_lint: ignore_once env_var
set(ROS_DISTRO $ENV{ROS_DISTRO})

configure_file(env_config.cpp.in ${ENV_CONFIG_FILE} @ONLY)

# We create one lib with the C++...

add_library(${PROJECT_NAME}
  bit_allocator.cpp
  config.cpp
  display.cpp
  display.cpp
  display_context.h
  display_factory.cpp
  display_group.cpp
  displays_panel.cpp
  failed_display.cpp
  failed_panel.cpp
  failed_tool.cpp
  failed_view_controller.cpp
  frame_manager.cpp
  load_resource.cpp
  frame_position_tracking_view_controller.cpp
  geometry.cpp
  help_panel.cpp
  image/ros_image_texture.cpp
  image/image_display_base.cpp
  loading_dialog.cpp
  message_filter_display.h
  mesh_loader.cpp
  new_object_dialog.cpp
  add_display_dialog.cpp
  ogre_helpers/apply_visibility_bits.cpp
  ogre_helpers/arrow.cpp
  ogre_helpers/axes.cpp
  ogre_helpers/billboard_line.cpp
  ogre_helpers/camera_base.cpp
  ogre_helpers/grid.cpp
  ogre_helpers/initialization.cpp
  ogre_helpers/line.cpp
  ogre_helpers/movable_text.cpp
  ogre_helpers/object.cpp
  ogre_helpers/ogre_logging.cpp
  ogre_helpers/ogre_render_queue_clearer.cpp
  ogre_helpers/orthographic.cpp
  ogre_helpers/point_cloud.cpp
  ogre_helpers/qt_ogre_render_window.cpp
  ogre_helpers/render_system.cpp
  ogre_helpers/render_widget.cpp
  ogre_helpers/shape.cpp
  ogre_helpers/mesh_shape.cpp
  ogre_helpers/stl_loader.cpp
  panel.cpp
  panel_dock_widget.cpp
  panel_factory.cpp
  preferences_dialog.cpp
  properties/bool_property.cpp
  properties/color_editor.cpp
  properties/color_property.cpp
  properties/combo_box.cpp
  properties/display_visibility_property.cpp
  properties/display_group_visibility_property.cpp
  properties/editable_combo_box.cpp
  properties/editable_enum_property.cpp
  properties/enum_property.cpp
  properties/float_edit.cpp
  properties/float_property.cpp
  properties/int_property.cpp
  properties/line_edit_with_button.cpp
  properties/parse_color.cpp
  properties/property.cpp
  properties/property_tree_delegate.cpp
  properties/property_tree_model.cpp
  properties/property_tree_widget.cpp
  properties/property_tree_with_help.cpp
  properties/quaternion_property.cpp
  properties/ros_topic_property.cpp
  properties/splitter_handle.cpp
  properties/status_list.cpp
  properties/status_property.cpp
  properties/string_property.cpp
  properties/tf_frame_property.cpp
  properties/vector_property.cpp
  render_panel.cpp
  robot/robot_link.cpp
  robot/robot_joint.cpp
  robot/robot.cpp
  robot/tf_link_updater.cpp
  scaled_image_widget.cpp
  screenshot_dialog.cpp
  selection_panel.cpp
  selection/selection_handler.cpp
  selection/selection_manager.cpp
  splash_screen.cpp
  time_panel.cpp
  tool.cpp
  tool_manager.cpp
  uniform_string_stream.cpp
  view_controller.cpp
  view_manager.cpp
  views_panel.cpp
  visualization_frame.cpp
  visualization_manager.cpp
  visualizer_app.cpp
  wait_for_master_dialog.cpp
  widget_geometry_change_detector.cpp
  tool_properties_panel.cpp
  yaml_config_reader.cpp
  yaml_config_writer.cpp

  ${ENV_CONFIG_FILE}
)

include(GenerateExportHeader)
set(EXPORT_FILE_NAME ${EXPORT_HEADER_DIR}/rviz/${PROJECT_NAME}_export.h)
generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${EXPORT_FILE_NAME})
if(NOT WIN32)
  set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()

target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${QT_LIBRARIES}
  ${OGRE_OV_LIBRARIES_ABS}
  ${OPENGL_LIBRARIES}
  ${rviz_ADDITIONAL_LIBRARIES}
  ${TinyXML2_LIBRARIES}
  ${X11_X11_LIB}
  ${ASSIMP_LIBRARIES}
  ${YAML_CPP_LIBRARIES}
)

add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

########### The rviz executable ###########
add_executable(executable main.cpp)

if(NOT WIN32)
  set_target_properties(executable PROPERTIES COMPILE_FLAGS "-std=c++11")
endif()

target_link_libraries(executable ${PROJECT_NAME} ${QT_LIBRARIES} ${OGRE_OV_LIBRARIES_ABS})

set_target_properties(executable
                      PROPERTIES OUTPUT_NAME ${PROJECT_NAME})

install(TARGETS executable
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY ./
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

#catkin_lint: ignore_once external_file
install(FILES
  ${EXPORT_FILE_NAME}
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS executable
  DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== debian/changelog ===
ros-melodic-rviz (1.13.30-1bionic) bionic; urgency=high

  * Improvements to TF display (#1789 <https://github.com/ros-visualization/rviz/issues/1789>)
    
      * Add regex filters (white+black list) to TF Display (#1744 <https://github.com/ros-visualization/rviz/issues/1744>)
      * Reparent children to root tree node when deleting a frame
      * Insert frame properties sorted
      * Create tree nodes also if the frame is not connected to rviz' global frame
    
  * Fix orientation of joint axis arrow (#1788 <https://github.com/ros-visualization/rviz/issues/1788>)
  * Contributors: Blaz Potokar, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 28 Mar 2023 22:00:00 -0000

ros-melodic-rviz (1.13.29-1bionic) bionic; urgency=high

  * Fixup to #1760 <https://github.com/ros-visualization/rviz/issues/1760>, SplitterHandle (#1766 <https://github.com/ros-visualization/rviz/issues/1766>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 11 Aug 2022 22:00:00 -0000

ros-melodic-rviz (1.13.28-1bionic) bionic; urgency=high

  * Fixup to #1759 <https://github.com/ros-visualization/rviz/issues/1759>
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 11 Aug 2022 22:00:00 -0000

ros-melodic-rviz (1.13.27-1bionic) bionic; urgency=high

  * MFD: Don't process messages when disabled (#1765 <https://github.com/ros-visualization/rviz/issues/1765>)
  * Fix image display wrapping (#1763 <https://github.com/ros-visualization/rviz/issues/1763>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 08 Aug 2022 22:00:00 -0000

ros-melodic-rviz (1.13.26-1bionic) bionic; urgency=high

  * Improve SplitterHandle of PropertyTreeWidgets (#1760 <https://github.com/ros-visualization/rviz/issues/1760>)
    
      * Suppress horizontal scrolling and auto-resizing of columns
      * Double click auto-adjusts to content
    
  * Fix segfault occuring for direct dock panel deletion (#1759 <https://github.com/ros-visualization/rviz/issues/1759>)
  * Fix race conditions in PointCloud displays (#1754 <https://github.com/ros-visualization/rviz/issues/1754>)
  * Acquire mutexes before destroying PointCloudCommon
  * PointCloud displays: unsubscribe before destroying PointCloudCommon
  * Fix segfault in ``TimePanel::onTimeSignal()`` (#1753 <https://github.com/ros-visualization/rviz/issues/1753>): Drop source Display* argument, which is a dangling pointer if the Display was deleted meanwhile
  * Drop OGRE/ from #include directives
  * Contributors: Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Sun, 31 Jul 2022 22:00:00 -0000

ros-melodic-rviz (1.13.25-1bionic) bionic; urgency=high

  * RobotLink: Simplify material mode handling (#1732 <https://github.com/ros-visualization/rviz/issues/1732>)
  * Drop OGRE/ from #include directives (#1730 <https://github.com/ros-visualization/rviz/issues/1730>)
  * Fix segfault when no tools are available (#1729 <https://github.com/ros-visualization/rviz/issues/1729>)
  * GridCells: implement setTopic() (#1722 <https://github.com/ros-visualization/rviz/issues/1722>)
  * Contributors: Brosong, Jochen Sprickerhof, Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-melodic-rviz (1.13.24-1bionic) bionic; urgency=high

  * Fix regression in mesh loader: correctly transform normals (#1703 <https://github.com/ros-visualization/rviz/issues/1703>)
  * MovableText: gracefully handle string of whitespaces (#1700 <https://github.com/ros-visualization/rviz/issues/1700>)
  * Contributors: Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Fri, 11 Feb 2022 23:00:00 -0000

ros-melodic-rviz (1.13.23-1bionic) bionic; urgency=high

  * Destroy panels before destroying the RenderPanels and its SceneManager (Fixes #1683 <https://github.com/ros-visualization/rviz/issues/1683>)
  * Fix regression in assimp mesh loading (Fixes #1688 <https://github.com/ros-visualization/rviz/pull/1689>)
  * Contributors: Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Wed, 15 Dec 2021 23:00:00 -0000

ros-melodic-rviz (1.13.22-1bionic) bionic; urgency=high

  * Drop proprietary COLLADA scaling (#1685 <https://github.com/ros-visualization/rviz/issues/1685>)
  * Contributors: Martin Pecka, Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Sun, 12 Dec 2021 23:00:00 -0000

ros-melodic-rviz (1.13.21-1bionic) bionic; urgency=high

  * Fix scaling of PointVisual's sphere (#1678 <https://github.com/ros-visualization/rviz/issues/1678>)
  * Fix assertion in billboard_line.cpp (#1674 <https://github.com/ros-visualization/rviz/issues/1674>)
  * Drop unused rosbag dependency
  * Contributors: Jochen Sprickerhof, Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Tue, 02 Nov 2021 23:00:00 -0000

ros-melodic-rviz (1.13.20-1bionic) bionic; urgency=high

  * Revert "Smoothly move PCL given a moving frame_id (#1655 <https://github.com/ros-visualization/rviz/issues/1655>)"
  * Revert "Smoothly move an Odometry's path given a moving frame_id (#1631 <https://github.com/ros-visualization/rviz/issues/1631>)"
  * Restore workaround for https://github.com/ros/geometry2/pull/402
  * BillboardLine: Fix handling of many points (> 16384) (#1662 <https://github.com/ros-visualization/rviz/issues/1662>)
  * DisplayPanel: Simplify selection of current item after Remove (#1661 <https://github.com/ros-visualization/rviz/issues/1661>), fixes #1658 <https://github.com/ros-visualization/rviz/issues/1658>
  * Contributors: Robert Haschke

 -- William Woodall <william@osrfoundation.org>  Thu, 23 Sep 2021 22:00:00 -0000

ros-melodic-rviz (1.13.19-1bionic) bionic; urgency=high

  * IntensityPCTransformer: make min/max values read-only if auto-compute is off
  * Smoothly move PCL given a moving frame_id (#1655 <https://github.com/ros-visualization/rviz/issues/1655>)


=== debian/control ===
Source: ros-melodic-rviz
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libqt5opengl5-dev, libtinyxml2-dev, liburdfdom-dev, liburdfdom-headers-dev, libyaml-cpp-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-interactive-markers, ros-melodic-laser-geometry, ros-melodic-map-msgs, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-python-qt-binding, ros-melodic-resource-retriever, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-rosunit <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rviz
Standards-Version: 3.9.2

Package: ros-melodic-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, libtinyxml2-dev, libyaml-cpp-dev, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-interactive-markers, ros-melodic-laser-geometry, ros-melodic-map-msgs, ros-melodic-media-export, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-python-qt-binding, ros-melodic-resource-retriever, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf, ros-melodic-visualization-msgs
Description: 3D visualization tool for ROS.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
